BP_PG_BULK_LOAD_GFF(1)

NAME
pg_bulk_load_gff.pl - Bulk-load a Bio::DB::GFF database from GFF files.

SYNOPSIS
  % pg_bulk_load_gff.pl -d testdb dna1.fa dna2.fa features1.gff features2.gff ...

DESCRIPTION
This script loads a Bio::DB::GFF database with the features contained in a list of GFF files. You must use the exact variant of GFF described in Bio::DB::GFF. Various command-line options allow you to control which database to load, whether to load DNA (in fasta format) as well, and whether to allow an existing database to be overwritten. This script differs from load_gff.pl in that it is hard-coded to use PostgreSQL and cannot perform incremental loads. See load_gff.pl for an incremental loader that works with all databases supported by Bio::DB::GFF.

  NOTES
The load file created is only compatible with PostgreSQL version 7.3 or greater. Note that the create option will NOT create the database, that must be done beforehand. The create option is a flag to indicate that it is OK to wipe the database (ie, drop the tables), and if you don't supply it, you will be prompted for that OK before tables are dropped. Note that the Postgres user must have table create permissions or the load will fail.

Also note that if no arguments are provided, or the filename is given as "-" then the input is taken from standard input. Compressed files (.gz, .Z, .bz2) are automatically uncompressed. Fasta files must end in .fa optionally followed by a compression suffix in order to be recognized.

To load FASTA files without GFF data, run like this:

 pg_bulk_load_gff.pl --database my_database --fasta my_fasta_file_path </dev/null

The nature of the bulk load requires that the database be on the local machine and have enough room in /usr/tmp (or whatever is specified by the \$TMPDIR environment variable) to hold the tables transiently.

About maxbin: the default value is 100,000,000 bases. If you have features that are close to or greater that 100Mb in length, then the value of maxbin should be increased to 1,000,000,000.

Note that while this should work on Windows, it has not been tested there; Also, Windows users must use the --create option.

COMMAND-LINE OPTIONS
Command-line options can be abbreviated to single-letter options. e.g. -d instead of --database.

   --database            PostgreSQL database name (default 'test')
   --create              Reinitialize/create data tables without asking
   --user                Username to log in as
   --fasta               File or directory containing fasta files to load
   --password            Password to use for authentication
   --maxbin              Set the value of the maximum bin size

SEE ALSO
Bio::DB::GFF, fast_load_gff.pl, load_gff.pl

AUTHOR
Scott Cain, cain@cshl.org

Copyright (c) 2003 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.